## gltron 0.70final

=== debian/changelog ===
gltron (0.70final-14) unstable; urgency=medium

  * Fix cut-n-pasto in Vcs fields

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jan 2025 08:09:59 +0100

gltron (0.70final-13) unstable; urgency=medium

  * Team upload.
  * Maintain in Debian Games team
    Closes: #1089818
  * Add Homepage
  * Add watch file
  * Patch d/p/fix-prototypes.patch also
    Closes: #548384
  * d/rules: short dh
  * debhelper compat 13
  * d/control: Drop obsolete alternative libgl1-mesa-dev from Build-Depends
  * d/copyright: DEP5
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * d/dirs: Removed since redundant

 -- Andreas Tille <tille@debian.org>  Mon, 16 Dec 2024 18:27:33 +0100

gltron (0.70final-12.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop menu file, since gltron already provides a .desktop file.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Jun 2022 07:49:00 +0200

gltron (0.70final-12.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep}. (Closes: #999000)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Dec 2021 12:03:09 +0200

gltron (0.70final-12.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add no-Werror.patch and do not treat warnings as errors anymore.
    (Closes: #897760)

 -- Markus Koschany <apo@debian.org>  Sun, 09 Dec 2018 14:32:28 +0100

gltron (0.70final-12.1) unstable; urgency=medium

  * Non maintainer upload.

  [ Matthias Klose ]
  * Build-depend on libpng-dev. Closes: #662350.
  * Fix build with GCC 5. Closes: #777877.
  * Disable -Werror to fix a FTBFS on Ubuntu and derivatives (fread is still marked
    as warn_unused_result).

  [ Markus Koschany ]
  * Add gltron.desktop file and install it to /usr/share/applications.
  * Add gltron.links file and link gltron.png to hicolor directory where it is
    automatically detected and displayed on the user's desktop. Closes: #737910.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Jul 2015 13:38:37 +0200

gltron (0.70final-12) unstable; urgency=low

  * debian/patches/cflags.patch:
    - Fix FTBFS, thanks to Andreas Moog

 -- Ari Pollak <ari@debian.org>  Sun, 18 Aug 2013 09:33:51 -0400

gltron (0.70final-11) unstable; urgency=low

  [ Ari Pollak ]
  * debian/patches/fix-clang-build.patch:
    - Apply patch from Cyril Roelandt to fix FTBFS with clang (Closes: #686540)
  * debian/patches/automake-error.patch:
    - Fix error when running recent version of automake

  [ Andreas Moog ]
  * Run dh_autoreconf to fix build with newer GCC versions. (Closes: #701289)
    - Add dh-autoreconf to build-depends for this.
  * debian/patches/fix-prototypes.patch: Match function calls with the
    prototype declarations.

 -- Ari Pollak <ari@debian.org>  Sat, 17 Aug 2013 11:41:39 -0500

gltron (0.70final-10) unstable; urgency=low

  [ Ari Pollak ]
  * Fix config.{sub,guess} overwriting so it doesn't get included in the patch
  * Group patches into their own files
    - remove patch on src/video/video.c since I couldn't track down its purpose
  * Bump standards-version to 3.8.4
  * Add ${misc:Depends}

  [ gregor herrmann ]
  * Fix "ftbfs with gcc-4.6 -Werror": add patch gcc-4.6.patch from peter
    green(removes unused variables).
    (Closes: #625343)

 -- Ari Pollak <ari@debian.org>  Thu, 15 Dec 2011 17:45:02 -0500

gltron (0.70final-9) unstable; urgency=low

  * Change build-depends on xlibmesa-gl-dev to libgl1-mesa-dev
    (Closes: #575655)
  * Switch to source format 3.0 (quilt)
  * Upgrade to debhelper v7
  * Remove unneeded build-depends; add autotools-dev

 -- Ari Pollak <ari@debian.org>  Thu, 01 Apr 2010 20:05:15 -0400

gltron (0.70final-8) unstable; urgency=low

  * Make configure & Makefiles use CFLAGS/CXXFLAGS correctly
  * Remove broken --enable-optimize flag from configure, since it
    was overriding our CFLAGS
  * Fix an extraneous #define that was causing an error with the new CFLAGS
  * Disable changing the screen resolution in-game, since it didn't work
    (Closes: #408695)

 -- Ari Pollak <ari@debian.org>  Sun, 23 Oct 2005 22:12:16 -0400

gltron (0.70final-7) unstable; urgency=low

  * Update build-depends to prefer building with xlibmesa-gl-dev,
    and get rid of xlibs-dev dependency

 -- Ari Pollak <ari@debian.org>  Thu, 13 Oct 2005 08:50:20 -0400

gltron (0.70final-6) unstable; urgency=low

  * Bump build-depends on libsmpeg-dev for new C++ ABI transition

 -- Ari Pollak <ari@debian.org>  Thu, 21 Jul 2005 18:42:34 +0000

gltron (0.70final-5) unstable; urgency=low

  * Apply modified fix by Andreas Jochens to fix build on amd64/gcc-4.0
    (Closes: #286782)

 -- Ari Pollak <ari@debian.org>  Wed, 22 Dec 2004 10:32:39 -0500

gltron (0.70final-4) unstable; urgency=low

  * Explicitly build-dep on mesag-dev | libgl-dev so we don't depend on
    a virtual package
  * Hopefully eliminate a problem on 64-bit systems (Closes: #255765)

 -- Ari Pollak <ari@debian.org>  Wed, 23 Jun 2004 14:28:01 -0400

gltron (0.70final-3) unstable; urgency=low

  * Include .orig.tar.gz as well

 -- Ari Pollak <ari@debian.org>  Tue, 27 Jan 2004 09:28:47 -0500

gltron (0.70final-2) unstable; urgency=low

  * Updating revision so this can be updated.
    I'm not sure why this got held up, but hopefully this should fix it.

 -- Ari Pollak <ari@debian.org>  Tue, 27 Jan 2004 00:33:15 -0500

gltron (0.70final-1) unstable; urgency=low

  * New upstream release
  * Enable experimental network code for those who dare try it

 -- Ari Pollak <ari@debian.org>  Sun, 14 Dec 2003 13:37:44 -0500

gltron (0.70beta1-1) experimental; urgency=low

  * New upstream release
  * Update build-deps for new sound support
  * Bring back our local manpage because upstream got rid of it for some
    reason

 -- Ari Pollak <ari@debian.org>  Mon, 13 Oct 2003 01:28:16 -0400

gltron (0.62-1) unstable; urgency=low

  * New upstream release (Closes: #195432, #156116, #135503)

