=== debian/control ===
Source: gltron
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Ari Pollak <ari@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), zlib1g-dev,
 libpng-dev, libgl-dev, libsdl-sound1.2-dev, libsdl1.2-dev,
 libx11-dev
Vcs-Browser: https://salsa.debian.org/games-team/gltron
Vcs-Git: https://salsa.debian.org/games-team/gltron.git
Homepage: http://www.gltron.org/
Rules-Requires-Root: no

Package: gltron
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 3D lightcycle game
 glTron is a tron-like lightcycle game with a nice 3D perspective.
 3D acceleration is recommended.
Homepage: http://www.gltron.org
