=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --bindir=\$${prefix}/games \
		--datadir=\$${prefix}/share/games \
		--enable-network \
		$(shell dpkg-vendor --derives-from Ubuntu && echo --enable-warn=no)
