=== debian/watch ===
version=4

opts="uversionmangle=s/-source//" \
 https://sf.net/@PACKAGE@/@PACKAGE@@ANY_VERSION@-source@ARCHIVE_EXT@
